org.jfree.data.contour

## Class DefaultContourDataset

- java.lang.Object
- - org.jfree.data.general.AbstractDataset
  - - org.jfree.data.general.AbstractSeriesDataset
    - - org.jfree.data.xy.AbstractXYDataset
      - - org.jfree.data.xy.AbstractXYZDataset
        - - org.jfree.data.contour.DefaultContourDataset

All Implemented Interfaces:
  java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, ContourDataset, Dataset, SeriesChangeListener, SeriesDataset, XYDataset, XYZDataset

Direct Known Subclasses:
  NonGridContourDataset

Deprecated.
This class is no longer supported (as of version 1.0.4). If you are creating contour plots, please try to use `XYPlot` and `XYBlockRenderer`.

    public class DefaultContourDataset
    extends AbstractXYZDataset
    implements ContourDataset

A convenience class that provides a default implementation of the `ContourDataset` interface.

See Also:
  Serialized Form

### Field Summary

Fields
`protected java.lang.Comparable` `seriesKey` Deprecated. The series name (this dataset supports only one series).
`protected int[]` `xIndex` Deprecated. The index for the start of each column in the data.
`protected java.lang.Number[]` `xValues` Deprecated. Storage for the x values.
`protected java.lang.Number[]` `yValues` Deprecated. Storage for the y values.
`protected java.lang.Number[]` `zValues` Deprecated. Storage for the z values.

### Constructor Summary

Constructors
Constructor and Description
`DefaultContourDataset()` Deprecated. Creates a new dataset, initially empty.
`DefaultContourDataset(java.lang.Comparable seriesKey, java.lang.Object[] xData, java.lang.Object[] yData, java.lang.Object[] zData)` Deprecated. Constructs a new dataset with the given data.

### Method Summary

Methods
`static java.lang.Object[]` `formObjectArray(double[] data)` Deprecated. Creates an object array from an array of doubles.
`static java.lang.Object[][]` `formObjectArray(double[][] data)` Deprecated. Creates an object array from an array of doubles.
`int` `getItemCount(int series)` Deprecated. Returns the number of items in the specified series.
`double` `getMaxZValue()` Deprecated. Returns the maximum z-value.
`double` `getMinZValue()` Deprecated. Returns the minimum z-value.
`double` `getMinZValue(double minX, double minY, double maxX, double maxY)` Deprecated. Returns the minimum z-value.
`int` `getSeriesCount()` Deprecated. Returns the number of series.
`java.lang.Comparable` `getSeriesKey(int series)` Deprecated. Returns the name of the specified series.
`java.lang.Number` `getX(int series, int item)` Deprecated. Returns the x value for the specified series and index (zero-based indices).
`int[]` `getXIndices()` Deprecated. Returns the index of the xvalues.
`java.lang.Number` `getXValue(int item)` Deprecated. Returns an x value.
`java.lang.Number[]` `getXValues()` Deprecated. Returns the x values.
`java.lang.Number` `getY(int series, int item)` Deprecated. Returns the y value for the specified series and index (zero-based indices).
`java.lang.Number[]` `getYValues()` Deprecated. Returns a Number array containing all y values.
`java.lang.Number` `getZ(int series, int item)` Deprecated. Returns the z value for the specified series and index (zero-based indices).
`Range` `getZValueRange(Range x, Range y)` Deprecated. Returns the maximum z-value within visible region of plot.
`java.lang.Number[]` `getZValues()` Deprecated. Returns a Number array containing all z values.
`int[]` `indexX()` Deprecated. Returns an int array contain the index into the x values.
`int` `indexX(int k)` Deprecated. Given index k, returns the column index containing k.
`int` `indexY(int k)` Deprecated. Given index k, return the row index containing k.
`int` `indexZ(int i, int j)` Deprecated. Given column and row indices, returns the k index.
`void` `initialize(java.lang.Object[] xData, java.lang.Object[] yData, java.lang.Object[] zData)` Deprecated. Initialises the dataset.
`boolean` `isDateAxis(int axisNumber)` Deprecated. Returns true if axis are dates.
`void` `setSeriesKeys(java.lang.Comparable[] seriesKeys)` Deprecated. Sets the names of the series in the data source.

### Methods inherited from class org.jfree.data.xy.AbstractXYZDataset

`getZValue`

### Methods inherited from class org.jfree.data.xy.AbstractXYDataset

`getDomainOrder, getXValue, getYValue`

### Methods inherited from class org.jfree.data.general.AbstractSeriesDataset

`indexOf, seriesChanged`

### Methods inherited from class org.jfree.data.general.AbstractDataset

`addChangeListener, clone, fireDatasetChanged, getGroup, hasListener, notifyListeners, removeChangeListener, setGroup, validateObject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jfree.data.xy.XYZDataset

`getZValue`

### Methods inherited from interface org.jfree.data.xy.XYDataset

`getDomainOrder, getXValue, getYValue`

### Methods inherited from interface org.jfree.data.general.SeriesDataset

`indexOf`

### Methods inherited from interface org.jfree.data.general.Dataset

`addChangeListener, getGroup, removeChangeListener, setGroup`

### Field Detail

#### seriesKey

    protected java.lang.Comparable seriesKey

Deprecated.
The series name (this dataset supports only one series).

#### xValues

    protected java.lang.Number[] xValues

Deprecated.
Storage for the x values.

#### yValues

    protected java.lang.Number[] yValues

Deprecated.
Storage for the y values.

#### zValues

    protected java.lang.Number[] zValues

Deprecated.
Storage for the z values.

#### xIndex

    protected int[] xIndex

Deprecated.
The index for the start of each column in the data.

### Constructor Detail

#### DefaultContourDataset

    public DefaultContourDataset()

Deprecated.
Creates a new dataset, initially empty.

#### DefaultContourDataset

    public DefaultContourDataset(java.lang.Comparable seriesKey,
                         java.lang.Object[] xData,
                         java.lang.Object[] yData,
                         java.lang.Object[] zData)

Deprecated.
Constructs a new dataset with the given data.

Parameters:
  `seriesKey` - the series key.
  `xData` - the x values.
  `yData` - the y values.
  `zData` - the z values.

### Method Detail

#### initialize

    public void initialize(java.lang.Object[] xData,
                  java.lang.Object[] yData,
                  java.lang.Object[] zData)

Deprecated.
Initialises the dataset.

Parameters:
  `xData` - the x values.
  `yData` - the y values.
  `zData` - the z values.

#### formObjectArray

    public static java.lang.Object[][] formObjectArray(double[][] data)

Deprecated.
Creates an object array from an array of doubles.

Parameters:
  `data` - the data.
Returns:
  An array of `Double` objects.

#### formObjectArray

    public static java.lang.Object[] formObjectArray(double[] data)

Deprecated.
Creates an object array from an array of doubles.

Parameters:
  `data` - the data.
Returns:
  An array of `Double` objects.

#### getItemCount

    public int getItemCount(int series)

Deprecated.
Returns the number of items in the specified series. This method is provided to satisfy the `XYDataset` interface implementation.

Specified by:
  `getItemCount` in interface `XYDataset`
Parameters:
  `series` - must be zero, as this dataset only supports one series.
Returns:
  The item count.

#### getMaxZValue

    public double getMaxZValue()

Deprecated.
Returns the maximum z-value.

Specified by:
  `getMaxZValue` in interface `ContourDataset`
Returns:
  The maximum z-value.

#### getMinZValue

    public double getMinZValue()

Deprecated.
Returns the minimum z-value.

Specified by:
  `getMinZValue` in interface `ContourDataset`
Returns:
  The minimum z-value.

#### getZValueRange

    public Range getZValueRange(Range x,
                       Range y)

Deprecated.
Returns the maximum z-value within visible region of plot.

Specified by:
  `getZValueRange` in interface `ContourDataset`
Parameters:
  `x` - the x range.
  `y` - the y range.
Returns:
  The z range.

#### getMinZValue

    public double getMinZValue(double minX,
                      double minY,
                      double maxX,
                      double maxY)

Deprecated.
Returns the minimum z-value.

Parameters:
  `minX` - the minimum x value.
  `minY` - the minimum y value.
  `maxX` - the maximum x value.
  `maxY` - the maximum y value.
Returns:
  The minimum z-value.

#### getSeriesCount

    public int getSeriesCount()

Deprecated.
Returns the number of series.

Required by XYDataset interface (this will always return 1)

Specified by:
  `getSeriesCount` in interface `SeriesDataset`
Specified by:
  `getSeriesCount` in class `AbstractSeriesDataset`
Returns:
  1.

#### getSeriesKey

    public java.lang.Comparable getSeriesKey(int series)

Deprecated.
Returns the name of the specified series. Method provided to satisfy the XYDataset interface implementation

Specified by:
  `getSeriesKey` in interface `SeriesDataset`
Specified by:
  `getSeriesKey` in class `AbstractSeriesDataset`
Parameters:
  `series` - must be zero.
Returns:
  The series name.

#### getXIndices

    public int[] getXIndices()

Deprecated.
Returns the index of the xvalues.

Specified by:
  `getXIndices` in interface `ContourDataset`
Returns:
  The x values.

#### getXValues

    public java.lang.Number[] getXValues()

Deprecated.
Returns the x values.

Specified by:
  `getXValues` in interface `ContourDataset`
Returns:
  The x values.

#### getX

    public java.lang.Number getX(int series,
                        int item)

Deprecated.
Returns the x value for the specified series and index (zero-based indices). Required by the `XYDataset`.

Specified by:
  `getX` in interface `XYDataset`
Parameters:
  `series` - must be zero;
  `item` - the item index (zero-based).
Returns:
  The x value.

#### getXValue

    public java.lang.Number getXValue(int item)

Deprecated.
Returns an x value.

Parameters:
  `item` - the item index (zero-based).
Returns:
  The X value.

#### getYValues

    public java.lang.Number[] getYValues()

Deprecated.
Returns a Number array containing all y values.

Specified by:
  `getYValues` in interface `ContourDataset`
Returns:
  The Y values.

#### getY

    public java.lang.Number getY(int series,
                        int item)

Deprecated.
Returns the y value for the specified series and index (zero-based indices). Required by the `XYDataset`.

Specified by:
  `getY` in interface `XYDataset`
Parameters:
  `series` - the series index (must be zero for this dataset).
  `item` - the item index (zero-based).
Returns:
  The Y value.

#### getZValues

    public java.lang.Number[] getZValues()

Deprecated.
Returns a Number array containing all z values.

Specified by:
  `getZValues` in interface `ContourDataset`
Returns:
  The Z values.

#### getZ

    public java.lang.Number getZ(int series,
                        int item)

Deprecated.
Returns the z value for the specified series and index (zero-based indices). Required by the `XYDataset`

Specified by:
  `getZ` in interface `XYZDataset`
Parameters:
  `series` - the series index (must be zero for this dataset).
  `item` - the item index (zero-based).
Returns:
  The Z value.

#### indexX

    public int[] indexX()

Deprecated.
Returns an int array contain the index into the x values.

Specified by:
  `indexX` in interface `ContourDataset`
Returns:
  The X values.

#### indexX

    public int indexX(int k)

Deprecated.
Given index k, returns the column index containing k.

Parameters:
  `k` - index of interest.
Returns:
  The column index.

#### indexY

    public int indexY(int k)

Deprecated.
Given index k, return the row index containing k.

Parameters:
  `k` - index of interest.
Returns:
  The row index.

#### indexZ

    public int indexZ(int i,
             int j)

Deprecated.
Given column and row indices, returns the k index.

Parameters:
  `i` - index of along x-axis.
  `j` - index of along y-axis.
Returns:
  The Z index.

#### isDateAxis

    public boolean isDateAxis(int axisNumber)

Deprecated.
Returns true if axis are dates.

Specified by:
  `isDateAxis` in interface `ContourDataset`
Parameters:
  `axisNumber` - The axis where 0-x, 1-y, and 2-z.
Returns:
  A boolean.

#### setSeriesKeys

    public void setSeriesKeys(java.lang.Comparable[] seriesKeys)

Deprecated.
Sets the names of the series in the data source.

Parameters:
  `seriesKeys` - the keys of the series in the data source.